Bug 1274736 - Review Request: nodejs-benchmark - A benchmarking library
Review Request: nodejs-benchmark - A benchmarking library
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
:
Depends On: 1310379
Blocks: nodejs-reviews 1363763 Node-RED
  Show dependency treegraph
 
Reported: 2015-10-23 09:16 EDT by Jared Smith
Modified: 2016-10-21 04:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-04 07:30:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
vanmeeuwen+fedora: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jared Smith 2015-10-23 09:16:30 EDT
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-benchmark/nodejs-benchmark.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-benchmark/nodejs-benchmark-1.0.0-1.fc23.src.rpm
Description: A benchmarking library that works on nearly all JavaScript platforms, supports high-resolution timers, and returns statistically significant results.
Fedora Account System Username: jsmith
Comment 1 Troy Dawson 2015-10-27 15:50:11 EDT
- test is in the npm, no need to download it from the git repo and add it again.
- LICENSE.txt is in the npm, please add it in %files
- directory doc/ is in the npm and should be in %files
- tests are not run via mocha.  I'm not positive you can do all the tests, because the final one requires you look at things in a browser, but if you have the dependencies you might be able to do some of them.
Comment 2 Zuzana Svetlikova 2016-01-12 06:31:34 EST
There is new version of the package.
Comment 3 Jared Smith 2016-02-23 09:44:32 EST
Sorry, this slipped through the cracks... Picking it back up again.

Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-benchmark/nodejs-benchmark.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-benchmark/nodejs-benchmark-2.0.0-1.fc24.src.rpm

Please note that we can't package up 2.1.0 yet until we upgrade lodash to the 4.x.y series.
Comment 4 Jeroen van Meeuwen 2016-08-03 09:22:34 EDT
===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 7 files have
     unknown license. Detailed output of licensecheck in
     /home/vanmeeuwen/devel/src/fedora/1274736-nodejs-
     benchmark/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 102400 bytes in 5 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
Comment 5 Gwyn Ciesla 2016-08-03 10:49:15 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/nodejs-benchmark
Comment 6 Jared Smith 2016-08-04 07:30:32 EDT
In rawhide, closing bug

Note You need to log in before you can comment on or make changes to this bug.